function [ ] = plotCurves(musArr525, cntArr525, clickDBtimeMs, clickBtimeMs, corValArrB, startClickNr,  endClickNr, selectionRange, modi)
    
    % musArr44
    %  || sinClickArr44
    %  | clickArr12_44
    %  cntArr44 ch2
    %  cntArr44 ch1
    % Alle kurver må være sentrert i 0 og gå fra -0.5 til +0.5
    % Vindu Yakse går fra 0 (topp) til -8 (bunn)
    
    fs = 525;
    noBeatsPerBar = 4;
    
    startSamplNr = cl2sa(clickDBtimeMs, startClickNr);
    endSamplNr = cl2sa(clickDBtimeMs, endClickNr);
    
    sz = get(0,'ScreenSize'); % xStart yStartFraBunn bredde høyde
    fontSise = 8;
    vindusHoyde = sz(4)/2; % I piksler basis screenHeigth
    wavAmplitude = 0.3;
    axer = [startSamplNr endSamplNr -8 0];
    
    textXoffset = (endSamplNr - startSamplNr) / 120; % For å shifte text litt
    
    offWav = 0.02; % Før
    hoyWav = 2*wavAmplitude; % Peak to peak
    offKurv1 = 0.15; % Før første
    hoyKurv = 3; % Peak to peak
    offKurvN = 0.15; % Før Nte
    offText = 0.2; % Før hver kommentar linje
    offAgent = 1.6;
    scalAgent = 0.6;
    
    tittel = ['pilOpp: zoomUt - - - pilNed: zoomInn - - - pilH: panH - - - pilV: panV - - - <: panV - - -  >: panH'];
    tittel = [tittel  'p: play - - - x: preview - - - X: previewSakte - - - x: previewEndaSaktere  - - - '];
    tittel = [tittel 'r: reload - - - q: quit - - - d: demo - - - D: demoSlow - - - o: run Ordive'];
    figure(1);clf;
    set(gcf, 'NumberTitle', 'off','name', tittel, 'MenuBar', 'none','position', [0 sz(4)-vindusHoyde sz(3) vindusHoyde],'color', [0.08 0.08 0.08]);
    
    cntArr525 = hoyKurv .* cntArr525;
    
    %% Musikk wav
    musArr525 = wavAmplitude .* musArr525;
    off = offWav + hoyWav/2;
    plot([startSamplNr : endSamplNr], musArr525(startSamplNr : endSamplNr) - off, 'color', [1 0.2 0.2]);
    
    % Click nr
    for i = max([startClickNr 1]) : endClickNr
        samplXval = cl2sa(clickDBtimeMs, i);
        text(samplXval, -offWav-hoyWav, num2str(i), 'color', [0.7 0.7 1], 'fontSize', fontSise); % Click nummer
    end
    hold on;
    
    set(gca, 'Position', [0.03 0.03 0.95 0.95]); % venstre bunn høyre høyde
    axis tight; axis(axer); axis off;
    
    %% Kontroll kurver
    
    % KURVE 1 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    off = off + hoyWav/2 + offKurv1 + hoyKurv/2 -0.4;
    line([startSamplNr endSamplNr], [-off, -off], 'color', [0.4 0.4 0.4]); % null
    line([startSamplNr endSamplNr], [-off+0.75, -off+0.75], 'color', [0.4 0.1 0.1]);
    line([startSamplNr endSamplNr], [-off+0.5, -off+0.5], 'color', [0.4 0.1 0.1]);
    line([startSamplNr endSamplNr], [-off+0.25, -off+0.25], 'color', [0.4 0.1 0.1]);
    line([startSamplNr endSamplNr], [-off-0.25, -off-0.25], 'color', [0.4 0.1 0.1]);
    line([startSamplNr endSamplNr], [-off-0.5, -off-0.5], 'color', [0.4 0.1 0.1]);
    line([startSamplNr endSamplNr], [-off-0.75, -off-0.75], 'color', [0.4 0.1 0.1]);
    plot([startSamplNr : endSamplNr], cntArr525(startSamplNr :  endSamplNr, 1)/4 - off, 'color', [0.6 0.6 1]); % Kurven
    
    % DB linjer
    for i = max([startClickNr 1]) : endClickNr
        samplXval = cl2sa(clickDBtimeMs, i);
        line([samplXval, samplXval], [-off-hoyKurv/4, -off+hoyKurv/4], 'color', [1 0 0]);
    end

    % B linjer
    for i = max([startClickNr 1]) - 1 : endClickNr
        for ii = 1 : noBeatsPerBar
            samplXval = cl2sa(clickBtimeMs, i*noBeatsPerBar + ii);
            line([samplXval samplXval], [-off-hoyKurv/4, -off+hoyKurv/4], 'color', [0.8 0 0], 'LineStyle', ':');
        end
    end
    
    % Punkter o og text val
    for i = max([startClickNr 0])  : endClickNr-1
        for ii = 1 : noBeatsPerBar % 
            samplXval = cl2sa(clickBtimeMs, i*noBeatsPerBar + ii);
            c1 = corValArrB(i*noBeatsPerBar + ii, 2);
            if ~isnan(c1)
                text(samplXval, -off + cntArr525(samplXval, 1)/4 + 0.12, num2str(c1), 'color', [1 1 1], 'fontSize', fontSise); % u d 0
                %if selectionRange(1) < samplXval && samplXval < selectionRange(2)
                plot(samplXval, -off + cntArr525(samplXval, 1)/4, 'o', 'color', [1 1 1], 'MarkerSize',8, 'MarkerFaceColor', [1 1 1]);
                %else
                %    plot(samplXval, -off + cntArr525(samplXval, 1)/4, 'o', 'color', [0.7 0.7 1]);
                %end
            end
        end
    end
    
    
    % Kurve nummer
    text(startSamplNr - textXoffset, -off, 'c1', 'color', [1 1 .1], 'fontSize', fontSise);
    
    % KURVE 2 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    off = off + offKurvN + hoyKurv/2;
    line([startSamplNr endSamplNr], [-off, -off], 'color', [0.4 0.4 0.4]);
    line([startSamplNr endSamplNr], [-off+0.25, -off+0.25], 'color', [0.4 0.1 0.1]);
    line([startSamplNr endSamplNr], [-off-0.25, -off-0.25], 'color', [0.4 0.1 0.1]);
    plot([startSamplNr : endSamplNr], cntArr525(startSamplNr :  endSamplNr, 2)/4 - off, 'color', [0.6 0.6 1]); % Kurven
    
    % DB linjer
    for i = max([startClickNr 1]) : endClickNr
        samplXval = cl2sa(clickDBtimeMs, i);
        line([samplXval, samplXval], [-off-hoyKurv/4, -off+hoyKurv/4], 'color', [1 0 0]);
    end

    % B linjer
    for i = max([startClickNr 1]) - 1 : endClickNr
        for ii = 1 : noBeatsPerBar
            samplXval = cl2sa(clickBtimeMs, i*noBeatsPerBar + ii);
            line([samplXval samplXval], [-off-hoyKurv/4, -off+hoyKurv/4], 'color', [0.8 0 0], 'LineStyle', ':');
        end
    end
    
    % Punkter o og text val
    for i = max([startClickNr 0])  : endClickNr-1
        for ii = 1 : noBeatsPerBar % 
            samplXval = cl2sa(clickBtimeMs, i*noBeatsPerBar + ii);
            c1 = corValArrB(i*noBeatsPerBar + ii, 3);
            if ~isnan(c1)
                text(samplXval, -off + cntArr525(samplXval, 2)/4 + 0.12, num2str(c1), 'color', [1 1 1], 'fontSize', fontSise); % u d 0
                %if selectionRange(1) < samplXval && samplXval < selectionRange(2)
                plot(samplXval, -off + cntArr525(samplXval, 2)/4, 'o', 'color', [1 1 1], 'MarkerSize',8, 'MarkerFaceColor', [1 1 1]);
                %else
                %    plot(samplXval, -off + cntArr525(samplXval, 1)/4, 'o', 'color', [0.7 0.7 1]);
                %end
            end
        end
    end
    
    
    % Kurve nummer
    text(startSamplNr - textXoffset, -off, 'c2', 'color', [1 1 .1], 'fontSize', fontSise);
    
    return
    %%

    
    % COR txt og agent
    off = off + offText + hoyKurv/4;
    oldCom2 = "";
    for i = max([startClickNr 0])  : endClickNr
        % Komments
        samplXval = cl2sa(corStrArr, i+1);
        c = corStrArr(i+1, 3); % movX
        text(samplXval, -off, c, 'color', [.3 0.3 1], 'fontSize', fontSise);
        c = corStrArr(i+1, 4); % comm nivå 1
        text(samplXval, -off-offText, c, 'color', [1 1 .1], 'fontSize', fontSise);
        c = corStrArr(i+1, 5); % comm nivå 2
        text(samplXval, -off-offText*2, c, 'color', [1 0.5 .1], 'fontSize', fontSise);
        if c ~= "" && c == oldCom2
            line([cl2sa(corStrArr, i+1) cl2sa(corStrArr, i)], [-off-offText*3 -off-offText*3], 'color', [0.4 0.4 0.4]); % Linje under Com2
        end
        oldCom2 = c;
        
        % Agent
        for ii = 1 : 12 % 1-9
            samplXval = floor(fs*clickBtimeMs(i*12 + ii)/1000);
            samplXval = max([samplXval 1]);
            c1 = corArr12(i*12 + ii, 3);
            c2 = corArr12(i*12 + ii, 2);
            
            if c1 > 0 || c2 > 0
                plotAgent2(cntArr525(samplXval+1, 1)./hoyKurv, cntArr525(samplXval+1, 2)./hoyKurv, samplXval, -off-offText*2-offAgent, scalAgent);
            end
        end
    end
    
    text(startSamplNr + (endSampl-startSamplNr)/4, -7.7, 'Select','color',[1 .8 .2], 'fontSize', fontSise);
    
end
