function clickTrack44100 = makeClickTrack44100(clickDBtimeMs, clickBtimeMs, musArr44100)

    fs = 44100;
    Ts = 1/fs;  

    clickTrack44100 = zeros(length(musArr44100), 2); % stereo

    % sinus DB
    tMaxDB = 0.1; % 0.1 sec
    fSiDB = 1500; % 1.5kHz
    
    % sinus B
    tMaxB = 0.1; % 0.1 sec
    fSiB = 2000; % 2kHz    

    siDB = 0.5 * [sin(2*pi*fSiDB*[0:Ts:tMaxDB]) ; sin(2*pi*fSiDB*[0:Ts:tMaxDB])]';
    siB = 0.5 * [sin(2*pi*fSiB*[0:Ts:tMaxB]) ; sin(2*pi*fSiB*[0:Ts:tMaxB])]';
    siL = length(siDB);

    
    % Legger på B
    for i = 2 : length(clickBtimeMs)
        n = floor(clickBtimeMs(i)*fs/1000);
        clickTrack44100(n:n + siL - 1, :) = siB;
    end
    
    % Legger på DB
    for i = 2 : length(clickDBtimeMs)
        n = floor(clickDBtimeMs(i)*fs/1000);
        clickTrack44100(n:n + siL - 1, :) = siDB;
    end    
    
    clickTrack44100 = clickTrack44100(1:length(musArr44100));
    clickTrack44100 = [clickTrack44100 ; clickTrack44100]';
end